Get the branding of an App: name, web address, look, colors, logo, icon and tabs
GET
/apps/{appId}/branding
const url = 'https://api.passion.io/v1/apps/example/branding';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.passion.io/v1/apps/example/brandingParameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”appId
required
The id of the App, as Studio shows it.
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
name
required
string
look
required
Any of:
null
tabs
required
Example
{ "look": { "tint": "neutral", "accent": "none", "cards": "soft", "bars": "glass", "typeScale": "standard", "density": "comfortable", "tiles": "square", "tileTitles": "show", "header": "wash", "continueCard": "compact", "courseRows": "carousel" }, "tabs": [ { "tab": "discover" } ], "leads": "courses"}